<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<settings>
    <category label="30101">
        <setting id="validator"         label="validator"     type="text"   default="0" visible="false" />
        <setting id="streamURL"         label="streamURL"     type="text"   default="" visible="false" />
        <setting id="username"          label="Username"      type="text"   default="" visible="true" />
        <setting id="password"          label="Password"      type="text"   default="" visible="true" />
        <setting id="dummy"             label="Click to - [COLOR orange][B]Verify your login details[/B][/COLOR]"    type="action"    option="close"    action="XBMC.RunScript(special://home/addons/script.tvguidedixie/verify.py)"/>
        <setting id="dixie.url"         label="30117" type="labelenum" values="All Channels|Other" default="All Channels" visible="false" />

        <setting id="gmtfrom"           label="30124" type="labelenum"                   default="GMT" values="GMT-12|GMT-11|GMT-10|GMT-9|GMT-8|GMT-7|GMT-6|GMT-5|GMT-4|GMT-3|GMT-2|GMT-1|GMT|GMT+1|GMT+2|GMT+3|GMT+4|GMT+5|GMT+6|GMT+7|GMT+8|GMT+9|GMT+10|GMT+11|GMT+12" visible="false" />
        <setting id="dummy"             label="Download Default Logo Pack"               type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/logoDownloader.py)" visible="false" />
        <setting id="chan.type"         label="Channel Settings"                         type="enum"   default="0" values="Built-in|Custom"   />
        <setting id="user.chan.folder"  label="Custom Channel Folder"                    type="folder" source="special://" visible="eq(-1,1)" />
        <setting id="logo.type"         label="Logo Pack Settings"                       type="enum"   default="0" values="Built-in|Custom"   />
        <setting id="user.logo.folder"  label="Choose Custom Logo Pack"                  type="folder" source="special://" visible="eq(-1,1)" />
        <setting id="dixie.logo.folder" label="Choose Built-in Logo Pack"                type="select" source="../../userdata/addon_data/script.tvguidedixie/extras/logos/" mask="/" default="Colour Logo Pack" visible="eq(-2,0)"  />
        <setting id="dixie.skin"        label="Choose Skin Style"                        type="select" source="../../userdata/addon_data/script.tvguidedixie/extras/skins/" mask="/" default="FXB v4.0"/>
        <setting id="CURRLOGO"          label="Current LogoPack"                         type="text"   default=""  visible="false" />
        <setting id="PREVLOGO"          label="Previous LogoPack"                        type="text"   default="None"  visible="false" />
        <setting id="FIRSTRUN"          label="FIRSTRUN"                                 type="bool"   default="false" visible="false" />
        <setting id="MINIGUIDE"         label="Mini-Guide Installed"                     type="bool"   default="false" visible="false" />

        <setting id="dummy"            label="Reset System Messages"    type="action" option="close" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/resetMessage.py)" visible="false" />
        <setting id="dummy"            label="Update EPG data now"      type="action" option="close" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/update.py,0)" visible="true" />
        <setting id="epg.date"         label="Update EPG Date"          type="text"   default="01-01-01" visible="false" />
        <setting id="current.channels" label="Current Channels"         type="number" default="0"        visible="false" />
        <setting id="updated.channels" label="Updated Channels"         type="number" default="0"        visible="false" />
        <setting id="messageID"        label="messageID"                type="text"   default="0"        visible="false" />
        <setting id="LOGIN_TIME"       label="login"                    type="text"   default=""         visible="false"/>
        <setting id="LOGIN_COUNT"      label="login"                    type="text"   default="-1"       visible="false"/>
        <setting id="LOGIN_HDTV"       label="login"                    type="text"   default=""         visible="false"/>
        <setting id="LOGIN_IPTV"       label="login"                    type="text"   default=""         visible="false"/>
        <setting id="LOGIN_UKTV"       label="login"                    type="text"   default=""         visible="false"/>

        <setting id="gmtprev"     type="text" label="Previous GMT"    default="0" visible="false"/>
        <setting id="categories"  type="text" label="categories"      default="" visible="false"/>
        <setting id="VERSION"     type="text" label="Current Version" default="0.0.0" visible="false"/>
        <setting id="SKINVERSION" type="text" label="Skin Version"    default="7" visible="false"/>
        <setting id="LOGOVERSION" type="text" label="Logo Version"    default="0" visible="false"/>
        <setting id="INIVERSION"  type="text" label="ini Version"     default="0" visible="false"/>

        <setting id="DIXIEURL"    type="labelenum" values="All Channels" default="All Channels" visible="false"/>
    </category>

    <category label="Categories">
        <setting id="hide.cats"     label="Hide Category Menu in the EPG"                                      type="bool"      default="false" visible="true"/>
        <setting id="SINGLE_CAT"    label="Single Active Category Mode"                                 type="bool"   default="true"  visible="true"/>

        <setting label=""           type="lsep" visible="true" />

        <setting id="rename.fave"   label="Click to - [COLOR orange][B]Rename Favourites Category[/B][/COLOR]" type="action" action="XBMC.RunPlugin(plugin://script.tvguidedixie.tools/?mode=1940)" visible="false" option="close"/>
        <setting id="FAVOURITE"     label="Current Favourites category name:"                                  type="text"   default=" Favourites"  visible="false" />
    </category>

    <category label="30114">
        <setting id="CATCHUP"               label="Activate TV Catch Up/iSearch feature"        type="bool"      default="true"  visible="true"/>
        <setting id="ignore.stream"         label="Always Offer To Choose Stream"               type="bool"      default="true" visible="true"/>
        <setting id="ftv.ini"               label="Choose Film-On UK TV Links"                  type="labelenum" values="UK Links|Non-Geolocked UK Links" default="UK Links" visible="true" />
        <setting id="local.ini"             label="Allow Enhanced Add-on Linking"               type="bool"      default="true" visible="false"/>
        <setting id="enable.osd"            label="30118"                                       type="bool"      default="true" enable="eq(2,false)" visible="false"/>
        <setting id="alternative.playback"  label="30120"                                       type="bool"      default="false" visible="false"/>
        <setting id="enable.touch"          label="30123"                                       type="bool"      default="false" />
        <setting id="autoStart"             label="Start Automatically (requires reboot)"       type="bool"      default="false" visible="true"/>
        <setting id="idle"                  label="Quit Stream If Idle For"                     type="enum"      values="Never|1 Hour|2 Hours|3 Hours|4 Hours" default="4" />
        <setting id="confirm.exit"          label="Confirm Exit From On-Tapp.TV"                type="bool"      default="false" visible="true" />
        <setting id="STOPONQUIT"            label="Stop Streaming On Exit From On-Tapp.TV"      type="bool"      default="false" visible="true" />
        <setting id="notifications.enabled" label="30106"                                       type="bool"      default="true"  visible="false"/>
        <setting id="dummy"                 label="30108"                                       type="action"    action="XBMC.RunScript(special://home/addons/script.tvguidedixie/notification.py)" visible="false"/>
        <setting id="trailers.addon"        label="Choose Trailers Add-on"                      type="labelenum" values="Apple iTunes Trailers|HD-Trailers.net" default="HD-Trailers.net" visible="false" />
        <setting id="ustv.addon"            label="Choose USTV Catch Up Add-on"                 type="labelenum" values="Hulu|Hulu-Beta|USTV VoD" default="USTV VoD" visible="false" />
    </category>

    <category label="More Features">
        <setting id="HOTKEY"        label="Click to - [COLOR orange][B]Set Mini-Guide Hot Key[/B][/COLOR]" type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/keyProgrammer.py,zOTT_hotkey.xml,XBMC.RunScript(special://home/addons/script.tvguidedixie/hotkey.py),hot_key,the Mini-Guide)"/>
        <setting id="hot_key"       type="text" label="Programmed HotKey"    default="" visible="false"/>
        <setting id="dummy"         label="Click to - [COLOR orange][B]Reset Mini-Guide Hot Key[/B][/COLOR]"   type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/resetHotkey.py,zOTT_hotkey.xml)" />

        <setting label=""           type="lsep" visible="true" />

        <setting id="FSHOTKEY"      label="Click to - [COLOR orange][B]Set Full-Screen Hot Key[/B][/COLOR] (picture-in-picture)" type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/keyProgrammer.py,zOTT_toggle.xml,fullscreen,,Toggle Full Screen)"/>
        <setting id="dummy"         label="Click to - [COLOR orange][B]Reset Full-Screen Hot Key[/B][/COLOR]"                    type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/resetHotkey.py,zOTT_toggle.xml)" />

        <setting label=""           type="lsep" visible="true" />

        <setting id="EXTRAINFO"
            label="[COLOR orange][B]Show extra info in EPG[/B][/COLOR] (Current Line-up/Currently Watching)"   type="bool"   default="false" visible="true" />
        <setting id="dixie.lineup"  label="Installed Channel Line-up"                                          type="text"   default="No Line-up Installed" visible="eq(-1,true)" />
    </category>

    <category label="IPTV Service">
        <setting id="dummy"        label="Click to - [COLOR orange][B]Create Channel Line-up from IPTV Settings[/B][/COLOR]" 
            type="action"          option="close" action="XBMC.RunScript(special://home/addons/script.tvguidedixie.tools/lineuptools.py,createIPTVLineup)" />

        <setting label="BEFORE CREATING A LINE-UP, ALWAYS ENTER YOUR SETTINGS BELOW"   type="lsep" visible="true" />

        <setting id="iptv.source" label="[COLOR orange][B]IPTV Playlist Options[/B][/COLOR]" type="enum" default="1"
                 values="IPTV Account|Manual Setup" visible="true" />
        <setting label="[B]CONTACT YOUR IPTV PROVIDER FOR REQUIRED INFO[/B]" type="lsep" visible="eq(-1,0)" />

        <setting id="IPTV_0"        label="[COLOR orange][B]IPTV[/COLOR] Account 1[/B] (Enter your details below)"   type="bool" default="false" 
            visible="eq(-2,0)"/>
        <setting id="IPTV_0_URL"    label="URL"         type="text"   default=""                              visible="eq(-1,true) + eq(-3,0)" />
        <setting id="IPTV_0_USER"   label="Username"    type="text"   default=""                              visible="eq(-2,true) + eq(-4,0)" />
        <setting id="IPTV_0_PASS"   label="Password"    type="text"   default=""                              visible="eq(-3,true) + eq(-5,0)" />
        <setting id="IPTV_0_PORT"   label="Port (If unknown leave blank)" type="text"   default=""            visible="eq(-4,true) + eq(-6,0)" />
        <setting id="IPTV_0_TYPE"   label="Playlist Type" type="enum"     default=".m3u8" values=".m3u8|.ts"  visible="eq(-5,true) + eq(-7,0)" />

        <setting id="IPTV_1"        label="[COLOR orange][B]IPTV[/COLOR] Account 2[/B] (Enter your details below)"   type="bool" default="false" 
            visible="eq(-8,0)"/>
        <setting id="IPTV_1_URL"    label="URL"         type="text"   default=""                              visible="eq(-1,true) + eq(-9,0)" />
        <setting id="IPTV_1_USER"   label="Username"    type="text"   default=""                              visible="eq(-2,true) + eq(-10,0)" />
        <setting id="IPTV_1_PASS"   label="Password"    type="text"   default=""                              visible="eq(-3,true) + eq(-11,0)" />
        <setting id="IPTV_1_PORT"   label="Port (If unknown leave blank)" type="text"   default=""            visible="eq(-4,true) + eq(-12,0)" />
        <setting id="IPTV_1_TYPE"   label="Playlist Type" type="enum"     default=".m3u8" values=".m3u8|.ts"  visible="eq(-5,true) + eq(-13,0)" />

        <setting id="IPTV_2"        label="[COLOR orange][B]IPTV[/COLOR] Account 3[/B] (Enter your details below)"   type="bool" default="false" 
            visible="eq(-14,0)"/>
        <setting id="IPTV_2_URL"    label="URL"         type="text"   default=""                              visible="eq(-1,true) + eq(-15,0)" />
        <setting id="IPTV_2_USER"   label="Username"    type="text"   default=""                              visible="eq(-2,true) + eq(-16,0)" />
        <setting id="IPTV_2_PASS"   label="Password"    type="text"   default=""                              visible="eq(-3,true) + eq(-17,0)" />
        <setting id="IPTV_2_PORT"   label="Port (If unknown leave blank)" type="text"   default=""            visible="eq(-4,true) + eq(-18,0)" />
        <setting id="IPTV_2_TYPE"   label="Playlist Type" type="enum"     default=".m3u8" values=".m3u8|.ts"  visible="eq(-5,true) + eq(-19,0)" />

        <setting id="playlist.type"  label="[COLOR orange][B]Playlist Type[/B][/COLOR] (URL or File)" type="enum" default="2" 
            values="URL|File|None"  visible="eq(-20,1)"/>

        <setting id="URL_O"        label="[COLOR orange][B]Playlist[/COLOR] URL 1[/B]"   type="bool" default="false" visible="eq(-1,0) + eq(-21,1)"/>
        <setting id="playlist.url"   label="URL"     type="text"   default=""    visible="eq(-1,true) + eq(-2,0) + eq(-22,1)" />

        <setting id="URL_1"        label="[COLOR orange][B]Playlist[/COLOR] URL 2[/B]"   type="bool" default="false" visible="eq(-3,0) + eq(-23,1)"/>
        <setting id="playlist.url1"   label="URL"     type="text"   default=""    visible="eq(-1,true) + eq(-4,0) + eq(-24,1)" />

        <setting id="URL_2"        label="[COLOR orange][B]Playlist[/COLOR] URL 3[/B]"   type="bool" default="false" visible="eq(-5,0) + eq(-25,1)"/>
        <setting id="playlist.url2"   label="URL"     type="text"   default=""    visible="eq(-1,true) + eq(-6,0) + eq(-26,1)" />

        <setting id="FILE_0"        label="[COLOR orange][B]Playlist[/COLOR] File 1[/B]"   type="bool" default="false" visible="eq(-7,1) + eq(-27,1)"/>
        <setting id="playlist.file"  label="File"    type="file"    default=""    visible="eq(-1,true) + eq(-8,1) + eq(-28,1)" />

        <setting id="FILE_1"        label="[COLOR orange][B]Playlist[/COLOR] File 2[/B]"   type="bool" default="false" visible="eq(-9,1) + eq(-29,1)"/>
        <setting id="playlist.file1"  label="File"    type="file"   default=""    visible="eq(-1,true) + eq(-10,1) + eq(-30,1)" />

        <setting id="FILE_2"        label="[COLOR orange][B]Playlist[/COLOR] File 3[/B]"   type="bool" default="false" visible="eq(-11,1) + eq(-31,1)"/>
        <setting id="playlist.file2"  label="File"    type="file"   default=""    visible="eq(-1,true) + eq(-12,1) + eq(-32,1)" />
    </category>

    <category label="Reminders">
        <setting id="watch_prompt"  label="Ask to switch channel when program starts" type="bool" default="false" />

        <setting id="RESET_NOTIFICATIONS" label="Click to - [COLOR orange][B]Clear all reminders[/B][/COLOR]" type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/notification.py,reset)"/>
    </category>

    <category label="30122">
        <setting id="dummy" label="30129" type="action" option="close" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/backup.py, full)"  visible="true"/>
        <setting id="dummy" label="30130" type="action" option="close" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/restore.py, full)" visible="true"/>
    </category>

    <category label="30125">
        <setting id="DEBUG"  label="[B]Enable OTT Debug Mode[/B]" type="bool" default="false" visible="true"/>
        <setting id="LOGFIX" label=""                             type="bool" default="false" visible="false"/>
        <setting id="dummy"  label="Click to - [COLOR orange][B]Upload log[/B][/COLOR]"                   type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/uploadLog.py)" option="close" />
        <setting id="dummy"  label="Click to - [COLOR orange][B]Check On-Tapp.TV Version[/B][/COLOR]"     type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/getVersion.py)" />
        <setting label=""    type="lsep" visible="true" />
        <setting id="dummy"  label="Click to - [COLOR orange][B]Reset Channel Timeshift[/B][/COLOR]"      type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/resetTimeshift.py)" />
        <setting id="dummy"  label="Click to - [COLOR orange][B]Fix PiP Black Screen Issue[/B][/COLOR]"   type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/fixPip.py)" />
        <!-- <setting id="dummy" label="Click to - [COLOR orange][B]Reset Mini-Guide Display Issue[/B][/COLOR]" type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/resetMiniGuide.py)" /> -->
        <setting id="dummy"  label="30126" type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/deleteDB.py)" />
        <setting id="dummy"  label="30127" type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/resetChannels.py)" />
        <setting id="dummy"  label="30132" type="action" action="XBMC.RunScript(special://home/addons/script.tvguidedixie/resetAddon.py)" />
        
    </category>

    <category label="ini Files">
        <setting id="INI_0_E" label="Enable"   type="bool" default="true" visible="true"/>
        <setting id="INI_0"   label="ini file" type="file" default=""     visible="eq(-1,true)"/>

        <setting id="INI_1_E" label="Enable"   type="bool" default="false" visible="!eq(-1,)"/>
        <setting id="INI_1"   label="ini file" type="file" default=""      visible="eq(-1,true) "/>

        <setting id="INI_2_E" label="Enable"   type="bool" default="false" visible="!eq(-1,)"/>
        <setting id="INI_2"   label="ini file" type="file" default=""      visible="eq(-1,true) "/>

        <setting id="INI_3_E" label="Enable"   type="bool" default="false" visible="!eq(-1,)"/>
        <setting id="INI_3"   label="ini file" type="file" default=""      visible="eq(-1,true) "/>

        <setting id="INI_4_E" label="Enable"   type="bool" default="false" visible="!eq(-1,)"/>
        <setting id="INI_4"   label="ini file" type="file" default=""      visible="eq(-1,true) "/>

        <setting id="INI_5_E" label="Enable"   type="bool" default="false" visible="!eq(-1,)"/>
        <setting id="INI_5"   label="ini file" type="file" default=""      visible="eq(-1,true) "/>

        <setting id="INI_6_E" label="Enable"   type="bool" default="false" visible="!eq(-1,)"/>
        <setting id="INI_6"   label="ini file" type="file" default=""      visible="eq(-1,true) "/>

        <setting id="INI_7_E" label="Enable"   type="bool" default="false" visible="!eq(-1,)"/>
        <setting id="INI_7"   label="ini file" type="file" default=""      visible="eq(-1,true) "/>

        <setting id="INI_8_E" label="Enable"   type="bool" default="false" visible="!eq(-1,)"/>
        <setting id="INI_8"   label="ini file" type="file" default=""      visible="eq(-1,true) "/>

        <setting id="INI_9_E" label="Enable"   type="bool" default="false" visible="!eq(-1,)"/>
        <setting id="INI_9"   label="ini file" type="file" default=""      visible="eq(-1,true) "/>
    </category>
</settings>

